=== src/CMakeLists.txt ===

set(EXTRA_OBJECTS "")  # added to libraries that include read+write
set(EXTRA_READ_OBJECTS "") # added to read-only libraries
# First build the mxml library in src/mxml before setting include directories for src/
# Those source files must find PROJECT_SOURCE_DIR/src/mxml/config.h first, then PROJECT_BIN/DIR/config.h
if (BUILD_MXML)
  add_subdirectory(mxml)
  set(MXML_BUILDDIR "mxml/mxml-2.9")
  set(MXML_LIB=libmxml_a)
  set(EXTRA_OBJECTS ${EXTRA_OBJECTS} $<TARGET_OBJECTS:mxml>)
endif(BUILD_MXML)

# Build the zfp library in src/zfp
if (BUILD_ZFP)
  add_subdirectory(zfp)
  set(ZFP_BUILDDIR "zfp/zfp-0.5.0")
  set(ZFP_LIB=libzfp_a)
  include_directories(${ZFP_INCLUDE_DIR})
  set(EXTRA_OBJECTS ${EXTRA_OBJECTS} $<TARGET_OBJECTS:zfp>)
  set(EXTRA_READ_OBJECTS ${EXTRA_READ_OBJECTS} $<TARGET_OBJECTS:zfp>)
endif(BUILD_ZFP)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR}/src ${PROJECT_SOURCE_DIR}/src/core ${PROJECT_SOURCE_DIR}/src/core/transforms)
include_directories(${PROJECT_BINARY_DIR}/src ${PROJECT_BINARY_DIR}/src/public)
include_directories(${MXML_INCLUDE_DIR})
link_directories(${PROJECT_BINARY_DIR}/src)


if(HAVE_NSSI)
  add_executable(nssi-staging-server nssi/nssi_staging_server.cpp nssi/aggregation.cpp)
  set_target_properties(nssi-staging-server PROPERTIES COMPILE_FLAGS "${ADIOSLIB_CFLAGS} ${ADIOSLIB_EXTRA_CPPFLAGS} ${ADIOSLIB_CPPFLAGS} ${MACRODEFFLAG}PTL_IFACE_CLIENT=CRAY_USER_NAL ${MACRODEFFLAG}PTL_IFACE_SERVER=CRAY_USER_NAL")
  target_link_libraries(nssi-staging-server adios.a ${ADIOSLIB_LDADD} ${NSSI_SERVER_LIBS})

  add_executable(nssi-coupling-server nssi/nssi_coupling_server.cpp)
  set_target_properties(nssi-coupling-server PROPERTIES COMPILE_FLAGS "${ADIOSLIB_CFLAGS} ${ADIOSLIB_EXTRA_CPPFLAGS} ${ADIOSLIB_CPPFLAGS} ${MACRODEFFLAG}PTL_IFACE_CLIENT=CRAY_USER_NAL ${MACRODEFFLAG}PTL_IFACE_SERVER=CRAY_USER_NAL")
  target_link_libraries(nssi-coupling-server adios.a ${ADIOSLIB_LDADD} ${NSSI_SERVER_LIBS})
endif(HAVE_NSSI)

set(CLEANFILES "")
set(include_HEADERS "")
set(nodist_include_HEADERS "")
set(lib_LIBRARIES "")

set(libadiosread_a_CPPFLAGS "")
set(libadiosreadf_a_CPPFLAGS "")
set(libadiosread_nompi_a_CPPFLAGS "")
set(libadiosreadf_nompi_a_CPPFLAGS "")

set(libadiosread_a_CFLAGS "")
set(libadiosreadf_a_CFLAGS "")
set(libadiosread_nompi_a_CFLAGS "")
set(libadiosreadf_nompi_a_CFLAGS "")

## Transform plugin source files
set(transforms_write_method_SOURCES "")
set(transforms_read_method_SOURCES "")

include (transforms/Makefile.plugins.cmake)

##
## Core transform framework source files
##
set (transforms_common_HDRS core/adios_copyspec.h
                         core/adios_subvolume.h
                         core/adios_selection_util.h
                         core/transforms/adios_transforms_common.h
                         core/transforms/adios_transforms_hooks.h
                         core/transforms/adios_transforms_util.h
                         core/adios_subvolume.h
                         public/adios_transform_methods.h)

set (transforms_read_HDRS core/transforms/adios_transforms_read.h
                       core/transforms/adios_transforms_hooks_read.h
                       core/transforms/adios_transforms_reqgroup.h
                       core/transforms/adios_transforms_datablock.h
                       core/transforms/adios_transforms_transinfo.h
                       core/transforms/adios_patchdata.h)

set (transforms_write_HDRS  core/transforms/adios_transforms_write.h
                        core/transforms/adios_transforms_hooks_write.h
                        core/transforms/adios_transforms_specparse.h)

set (transforms_common_SOURCES  ${transforms_common_HDRS}
                            core/transforms/adios_transforms_common.c
                            core/transforms/adios_transforms_hooks.c
                            core/adios_copyspec.c
                            core/adios_subvolume.c
                            core/transforms/plugindetect/detect_plugin_infos.h
                            core/transforms/plugindetect/detect_plugin_types.h
                            core/transforms/plugindetect/plugin_info_types.h
                            core/adios_transform_methods.c)

set (transforms_read_SOURCES ${transforms_read_HDRS}
                          core/transforms/adios_transforms_read.c
                          core/transforms/adios_transforms_hooks_read.c
                          core/transforms/adios_transforms_reqgroup.c
                          core/transforms/adios_transforms_datablock.c
                          core/transforms/adios_patchdata.c
                          core/adios_selection_util.c
                          core/transforms/plugindetect/detect_plugin_read_hook_decls.h
                          core/transforms/plugindetect/detect_plugin_read_hook_reg.h
                          core/adios_read_ext.c
                          ${transforms_read_method_SOURCES})
#                          transforms/adios_transform_alacrity_read.c
#                          transforms/adios_transform_isobar_read.c
#                          transforms/adios_transform_aplod_read.c
#                          transforms/adios_transform_szip_read.c
#                          transforms/adios_transform_bzip2_read.c
#                          transforms/adios_transform_identity_read.c
#                          transforms/adios_transform_zlib_read.c
#                          transforms/adios_transform_zfp_read.c
#                          transforms/adios_transform_sz_read.c
#                          transforms/adios_transform_lz4_read.c
#                          transforms/adios_transform_blosc_read.c
#                          transforms/adios_transform_mgard_read.c

set (transforms_write_SOURCES ${transforms_write_HDRS}
                           core/transforms/adios_transforms_write.c
                           core/transforms/adios_transforms_hooks_write.c
                           core/transforms/adios_transforms_util.c
                           core/transforms/adios_transforms_specparse.c
                           ${transforms_write_method_SOURCES})
#                           transforms/adios_transform_alacrity_write.c
#                           transforms/adios_transform_aplod_write.c
#                           transforms/adios_transform_bzip2_write.c
#                           transforms/adios_transform_identity_write.c
#                           transforms/adios_transform_isobar_write.c
#                           transforms/adios_transform_szip_write.c
#                           transforms/adios_transform_zlib_write.c
#                           transforms/adios_transform_zfp_write.c
#                           transforms/adios_transform_sz_write.c
#                           transforms/adios_transform_lz4_write.c
#                           transforms/adios_transform_blosc_write.c
#                           transforms/adios_transform_mgard_write.c

#######Query source files
set(query_common_HDRS query/common_query.h
                      query/adios_query_hooks.h
                      query/query_utils.h)

set(query_common_SOURCES ${query_common_HDRS}
                         query/common_query.c
                         query/common_query_read.c
                         query/adios_query_hooks.c
                         query/query_utils.c)

# Include source files that are specific to each query plugin
set(query_method_HDRS "")
set(query_method_SOURCES "")
include(query/Makefile.plugins.cmake)

set(query_method_SOURCES ${query_method_SOURCES} ${query_method_HDRS})

set(query_SOURCES ${query_common_SOURCES} ${query_method_SOURCES})

set(query_C_SOURCES ${query_SOURCES} query/adios_query.c)
set(query_F_SOURCES ${query_SOURCES} query/adiosf_query.c)

#start adios.a and adios_nompi.a
if(BUILD_WRITE)
    set(libadios_a_SOURCES core/adios.c
                     core/common_adios.c
                     core/adios_internals.c
                     core/adios_internals_mxml.c
                     core/buffer.c
                     core/adios_bp_v1.c
                     core/adios_endianness.c
                     core/bp_utils.c
                     core/futils.c
                     core/adios_error.c
                     core/adios_read.c
                     core/adios_read_v1.c
                     core/common_read.c
                     core/adios_infocache.c
                     core/adios_read_ext.c
                     core/globals.c
                     core/adios_timing.c
                     core/adios_read_hooks.c
                     core/adios_transport_hooks.c
                     core/adios_socket.c
                     core/adios_logger.c
                     core/qhashtbl.c
                     ${transforms_common_SOURCES}
                     ${transforms_read_SOURCES}
                     ${transforms_write_SOURCES}
                     ${query_C_SOURCES}
                     core/util.c
                     core/strutil.c
                     core/a2sel.c
                     core/adios_clock.c
                     core/qhashtbl.c
                     core/adiost_callback_internal.c
                     core/adiost_default_tool.c
                     read/read_bp.c
                     read/read_bp_staged.c
                     read/read_bp_staged1.c
                     write/adios_mpi.c
                     write/adios_mpi_lustre.c
                     write/adios_mpi_amr.c
                     write/adios_posix.c
                     write/adios_var_merge.c)

    if(HAVE_BGQ)
        set(libadios_a_SOURCES ${libadios_a_SOURCES} write/adios_mpi_bgq.c)
    endif()

    set(libadios_nompi_a_SOURCES core/adios.c
                     core/common_adios.c
                     core/adios_internals.c
                     core/adios_internals_mxml.c
                     ${transforms_common_SOURCES}
                     ${transforms_read_SOURCES}
                     ${transforms_write_SOURCES}
                     ${query_C_SOURCES}
                     core/buffer.c
                     core/adios_bp_v1.c
                     core/adios_endianness.c
                     core/bp_utils.c
                     core/futils.c
                     core/adios_error.c
                     core/adios_read.c
                     core/adios_read_v1.c
                     core/common_read.c
                     core/adios_infocache.c
                     core/adios_read_ext.c
                     core/globals.c
                     core/mpidummy.c
                     core/adios_timing.c
                     core/adios_read_hooks.c
                     core/adios_transport_hooks.c
                     core/adios_socket.c
                     core/adios_logger.c
                     core/util.c
                     core/strutil.c
                     core/a2sel.c
                     core/adios_clock.c
                     core/qhashtbl.c
                     core/adiost_callback_internal.c
                     core/adiost_default_tool.c
                     read/read_bp.c
                     read/read_bp_staged.c
                     read/read_bp_staged1.c
                     write/adios_posix.c)

#start adiosf.a and adiosf_v1.a
    if(BUILD_FORTRAN)
        set(FortranLibSources core/adiosf.c
                       core/common_adios.c
                       core/adios_internals.c
                       core/adios_internals_mxml.c
                       ${transforms_common_SOURCES}
                       ${transforms_read_SOURCES}
                       ${transforms_write_SOURCES}
                       ${query_F_SOURCES}
                       core/buffer.c
                       core/adios_bp_v1.c
                       core/adios_endianness.c
                       core/futils.c
                       core/adios_error.c
                       core/bp_utils.c
                       core/common_read.c
                       core/adios_infocache.c
