=== examples/Fortran/CMakeLists.txt ===
add_subdirectory(scalars)
add_subdirectory(arrays)
add_subdirectory(global-array)
add_subdirectory(global-array-time)
add_subdirectory(schema)
