=== debian/changelog ===
adios (1.13.1-36) unstable; urgency=medium

  * Only build with openmpi on 64-bit archs

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Apr 2024 09:36:55 +0100

adios (1.13.1-35) unstable; urgency=medium

  * Patch to fix FTBFS with -Werror=implicit-function-declaration.
    Closes: #1066553
  * Fix typos in VCS URLS in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Mar 2024 14:18:47 +0000

adios (1.13.1-34) unstable; urgency=medium

  * B-D on dh-fortran-mod (>= 0.32)
  * Revert FMODDIR from /usr/include to libdir via dh-fortran
  * Update d/control to use fortran:Depends, fortran:Recommends

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Jan 2024 08:57:09 +0000

adios (1.13.1-33) unstable; urgency=medium

  * Use cython3-legacy. Closes: #1056786

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Dec 2023 18:36:44 +0000

adios (1.13.1-32) unstable; urgency=medium

  * Update paths for setuptools changes. Closes: #1054815
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Nov 2023 10:38:35 +0000

adios (1.13.1-31) unstable; urgency=medium

   * ABITAG in update-alternatives not set correctly when multiple python3
     versions offered. Closes: #1025923
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Dec 2022 10:56:54 +0000

adios (1.13.1-30) unstable; urgency=medium

  * Ensure libadios-*-dev provide libadios-mpi-dev
  * Fix autopkgtest to work with libadios-openmpi-dev | libadios-mpi-dev
    Closes: #998296

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Nov 2021 11:49:42 +0000

adios (1.13.1-29) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Build sequential adios.pc. (LP: #1913205) 
  * Add initial autopkg tests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Sep 2021 17:28:33 +0100

adios (1.13.1-28) unstable; urgency=medium

  * postinst/prerm: Ensure generated tags correct.
    Also cope with situation where supported python changes between
    install/removal. Closes: #983888
  * Change condition to support gfortran >=9, not just <=10. Closes: #983962

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Mar 2021 16:35:45 +0000

adios (1.13.1-27) unstable; urgency=medium

  * Fix build with cython3. Closes: #972420
  * Change default branch to debian/latest in d/control
  * Add 'set -e' to trap shell errors in debian/rules
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Jan 2021 13:27:55 +0000

adios (1.13.1-26) unstable; urgency=medium

  * Further regeession in postinst scripts fixed. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 11:57:59 +0100

adios (1.13.1-25) unstable; urgency=medium

  * Change branch paths in d/gpb.conf to DEP-14 and repos
  * Fix regression in autogenerating postinst scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Sep 2020 14:40:47 +0100

adios (1.13.1-24) unstable; urgency=medium

  * d/not-installed: use wildcard instead of arch for paths
  * Fix incomplete move to subst vars

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Aug 2020 08:43:40 +0100

adios (1.13.1-23) unstable; urgency=medium

  * Fix FTBFS with gfortran 10, Closes: #966966
  * Use debhelper 13
  * Use subst vars instead of autogenerating dh files
  * Add debian/not-installed

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Aug 2020 18:39:34 +0100

adios (1.13.1-22) unstable; urgency=medium

  * Change update-alternatives code in postinst to dynamically detect
    python3 version. Closes: #956864

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Apr 2020 19:43:38 +0100

adios (1.13.1-21) unstable; urgency=medium

  * Rebuild with netcdf-mpi-15

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Mar 2020 10:16:06 +0000

adios (1.13.1-20) unstable; urgency=medium

  * Drop Fortran-Mod: clause no longer used in dh_fortran_mod
  * Use dh-sequence-* instead of dh --with *
  * Drop references to python-breaks/etc before stable
  * Standards-Version: 4.5.0
  * Patch needed (netcdf-order.patch) for netcdf-parallel transition
  * Drop obsolete breaks/depends in d/control.in
  
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 Feb 2020 12:06:17 +0000

adios (1.13.1-19) unstable; urgency=medium

  * Fix: re-include regression: dropped link in d/rules. Closes: #933796 
  * Update pre/post scripts; drop obsolete refs to py36

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Aug 2019 11:50:53 +0100

adios (1.13.1-18) unstable; urgency=medium

  * Rebuild against latest mpi4py
  * Drop references to cython  ; ensure python3 not python is used.
  * B-D on python3-numpy

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Aug 2019 09:50:21 +0100

adios (1.13.1-17) unstable; urgency=medium

  * B-D on gfortran | fortran-compiler
  * Drop python2 support
  * Now use debhelper-compat = 12
  * Standards-Version: 4.4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jul 2019 09:23:03 +0100

adios (1.13.1-16) unstable; urgency=medium

  * Check full path of link for /etc/alternatives in python3-adios.postinst
    and delete obsolete link if present. Closes: #920700

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jan 2019 09:23:59 +0000

adios (1.13.1-15) unstable; urgency=medium

  * Patch from Steve Langasek for unaligned accesses that cause armhf
    binaries to crash on arm64. Closes: #919763

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Jan 2019 09:39:26 +0000

adios (1.13.1-14) unstable; urgency=medium

  * Don't run tests on armhf. When built on arm64, there are known failures
    due to unaligned accesses. Closes: #919763

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Jan 2019 06:23:43 +0000

adios (1.13.1-13) unstable; urgency=medium

  * Fix for python3-adios postinst deleting old py36 file. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Jan 2019 07:28:16 +0000

adios (1.13.1-12) unstable; urgency=medium


