=== debian/control ===
Source: adios
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  dh-fortran-mod (>= 0.32),
  mpi-default-dev,
  libnetcdf-dev, 
  libnetcdf-mpi-dev (>= 4.6.1-3),
  libmxml-dev, 
  libopenmpi-dev [alpha amd64 arm64 ia64 kfreebsd-amd64  mips64el  ppc64 ppc64el riscv64 s390x sparc64],
  openmpi-bin [alpha amd64 arm64 ia64 kfreebsd-amd64  mips64el  ppc64 ppc64el riscv64 s390x sparc64],
  libmpich-dev, mpich,
  liblz4-dev,
  libblosc-dev,
  pkg-config,
  cmake, 
  libbz2-dev,  
  zlib1g-dev, 
  libibverbs-dev [ !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  python3-all-dev, 
  python3-mpi4py, 
  python3-numpy,
  cython3-legacy, 
  libglib2.0-dev, 
  libhdf5-dev, 
  libhdf5-mpich-dev,
  libhdf5-openmpi-dev,
  libaec-dev
Build-Conflicts: libadios-dev, 
 libadios-bin
Standards-Version: 4.6.2
Homepage: https://www.olcf.ornl.gov/center-projects/adios/
Vcs-Browser: https://salsa.debian.org/science-team/adios.git
Vcs-Git: https://salsa.debian.org/science-team/adios.git -b debian/latest

Package: libadios-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:  ${misc:Depends}, 
   ${shlibs:Depends}, 
   ${python3:Depends}, 
   ${fortran:Depends},
   pkg-config
Recommends: libadios-bin,
   ${fortran:Depends}
Description: ADIOS Adaptable IO system for simulations
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.

Package: libadios-openmpi-dev
Section: libdevel
Architecture: alpha amd64 arm64 ia64 kfreebsd-amd64 mips64el ppc64 ppc64el riscv64 s390x  sparc64
Multi-Arch: same
Depends:  ${misc:Depends}, libadios-dev
Recommends: libadios-bin, libadios-examples
Provides: libadios-mpi-dev
Description: ADIOS Adaptable IO system (OpenMPI development files)
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.

Package: libadios-mpich-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Multi-Arch: same
Depends:  ${misc:Depends}, libadios-dev
Recommends: libadios-bin, libadios-examples
Provides: libadios-mpi-dev
Description: ADIOS Adaptable IO system (MPICH development files)
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.

Package: libadios-examples
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Recommends: libadios-dev
Description: Examples for the ADIOS Adaptable IO system
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.


Package: libadios-bin
Depends:  ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Architecture: any
Multi-Arch: foreign
Recommends: libadios-dev
Description: ADIOS Adaptable IO system for simulations - binaries
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.
 .
 This package provides tools for use with ADIOS.

Package: python3-adios
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Section: python
Architecture: any
Provides: ${python:Provides}
Description: Python3 interface to the ADIOS IO system
 This is a Python3 interface to ADIOS.
 .
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.
 .
