=== debian/tests/control ===
Test-Command: set -e
  ; adios_config 2> /dev/null
Depends: libadios-bin

Test-Command: set -e
  ; pkg-config adios --libs 2> /dev/null
Depends: pkg-config, libadios-dev

Test-Command: set -e
  ; pkg-config adios-mpi --libs 2> /dev/null
Depends: pkg-config, libadios-openmpi-dev | libadios-mpi-dev
