=== debian/watch ===
# https://users.nccs.gov/~pnorbert/adios-1.13.1.tar.gz
version=3
http://users.nccs.gov/~pnorbert/ .*/adios-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
